Package org.eclipse.jface.text.contentassist

# Class ContextInformation

java.lang.Object
org.eclipse.jface.text.contentassist.ContextInformation

All Implemented Interfaces:
  `IContextInformation`

public final class ContextInformation extends Object implements IContextInformation
A default implementation of the `IContextInformation` interface.

## Constructor Summary

Constructors
Constructor
Description
`ContextInformation(String contextDisplayString, String informationDisplayString)`
Creates a new context information without an image.
`ContextInformation(Image image, String contextDisplayString, String informationDisplayString)`
Creates a new context information with an image.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Compares the given object with this receiver.
`String`
`getContextDisplayString()`
Returns the string to be displayed in the list of contexts.
`Image`
`getImage()`
Returns the image for this context information.
`String`
`getInformationDisplayString()`
Returns the string to be displayed in the tool tip like information popup.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextInformation

public ContextInformation(String contextDisplayString, String informationDisplayString)
Creates a new context information without an image.

Parameters:
  `contextDisplayString` - the string to be used when presenting the context
  `informationDisplayString` - the string to be displayed when presenting the context information

### ContextInformation

public ContextInformation(Image image, String contextDisplayString, String informationDisplayString)
Creates a new context information with an image.

Parameters:
  `image` - the image to display when presenting the context information
  `contextDisplayString` - the string to be used when presenting the context
  `informationDisplayString` - the string to be displayed when presenting the context information, may not be `null`

## Method Details

### equals

public boolean equals(Object object)
Description copied from interface: `IContextInformation`
Compares the given object with this receiver. Two context informations are equal if there information display strings and their context display strings are equal.

Note: As specified in `Object.equals(Object)` clients will most likely also have to implement `Object.hashCode()`.

Specified by:
  `equals` in interface `IContextInformation`
Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getInformationDisplayString

public String getInformationDisplayString()
Description copied from interface: `IContextInformation`
Returns the string to be displayed in the tool tip like information popup.

Specified by:
  `getInformationDisplayString` in interface `IContextInformation`
Returns:
  the string to be displayed

### getImage

public Image getImage()
Description copied from interface: `IContextInformation`
Returns the image for this context information. The image will be shown to the left of the display string.

Specified by:
  `getImage` in interface `IContextInformation`
Returns:
  the image to be shown or `null` if no image is desired

### getContextDisplayString

public String getContextDisplayString()
Description copied from interface: `IContextInformation`
Returns the string to be displayed in the list of contexts. This method is used to supply a unique presentation for situations where the context is ambiguous. These strings are used to allow the user to select the specific context.

Specified by:
  `getContextDisplayString` in interface `IContextInformation`
Returns:
  the string to be displayed for the context